ClarisWksSpreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ClarisWksSpreadsheet Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksSpreadsheet.hxx>`

## Public Member Functions
| ClarisWksSpreadsheet (ClarisWksDocument &document)
| constructor More...
virtual | ~ClarisWksSpreadsheet ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< ClarisWksStruct::DSET > | readSpreadsheetZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...
bool | canSendSpreadsheetAsGraphic (int) const
| check if we can send a spreadsheet as graphic More...
bool | sendSpreadsheet (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists ) More...
bool | sendSpreadsheetAsTable (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists ) More...

## Protected Member Functions
bool | readZone1 (ClarisWksSpreadsheetInternal::Spreadsheet &sheet)
| try to read the first spreadsheet zone More...
bool | readRowHeightZone (ClarisWksSpreadsheetInternal::Spreadsheet &sheet)
| try to read the row height zone More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ClarisWksSpreadsheetInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ClarisWksSpreadsheet (ClarisWksSpreadsheet const &orig)
ClarisWksSpreadsheet & | operator= (ClarisWksSpreadsheet const &orig)

## Friends
class | ClarisWksParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

ClarisWksSpreadsheet::ClarisWksSpreadsheet | ( | ClarisWksDocument & | document | ) |
| explicit

constructor

ClarisWksSpreadsheet::~ClarisWksSpreadsheet | ( |  | ) |
| virtual

destructor

ClarisWksSpreadsheet::ClarisWksSpreadsheet | ( | ClarisWksSpreadsheet const & | orig | ) |
| private

## Member Function Documentation

bool ClarisWksSpreadsheet::canSendSpreadsheetAsGraphic | ( | int |  | ) | const
| inline

check if we can send a spreadsheet as graphic

int ClarisWksSpreadsheet::numPages | ( |  | ) | const

returns the number of pages

ClarisWksSpreadsheet& ClarisWksSpreadsheet::operator= | ( | ClarisWksSpreadsheet const & | orig | ) |
| private

bool ClarisWksSpreadsheet::readRowHeightZone | ( | ClarisWksSpreadsheetInternal::Spreadsheet & | sheet | ) |
| protected

try to read the row height zone

Referenced by readSpreadsheetZone().

shared_ptr< ClarisWksStruct::DSET > ClarisWksSpreadsheet::readSpreadsheetZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

Referenced by numPages().

bool ClarisWksSpreadsheet::readZone1 | ( | ClarisWksSpreadsheetInternal::Spreadsheet & | sheet | ) |
| protected

try to read the first spreadsheet zone

Referenced by readSpreadsheetZone().

bool ClarisWksSpreadsheet::sendSpreadsheet | ( | int | number,
|  | MWAWListenerPtr | listener
| ) |  |

sends the zone data to the listener (if it exists )

bool ClarisWksSpreadsheet::sendSpreadsheetAsTable | ( | int | number,
|  | MWAWListenerPtr | listener
| ) |  |

sends the zone data to the listener (if it exists )

Referenced by sendSpreadsheet().

int ClarisWksSpreadsheet::version | ( |  | ) | const

returns the file version

Referenced by readSpreadsheetZone(), and readZone1().

## Friends And Related Function Documentation

friend class ClarisWksParser
| friend

## Member Data Documentation

ClarisWksDocument& ClarisWksSpreadsheet::m_document
| protected

the document

Referenced by readSpreadsheetZone().

MWAWParser* ClarisWksSpreadsheet::m_mainParser
| protected

the main parser;

MWAWParserStatePtr ClarisWksSpreadsheet::m_parserState
| protected

the parser state

Referenced by readRowHeightZone(), readSpreadsheetZone(), readZone1(), sendSpreadsheet(), sendSpreadsheetAsTable(), and version().

shared_ptr<ClarisWksSpreadsheetInternal::State> ClarisWksSpreadsheet::m_state
| protected

the state

Referenced by readSpreadsheetZone(), sendSpreadsheet(), and sendSpreadsheetAsTable().

The documentation for this class was generated from the following files:

- ClarisWksSpreadsheet.hxx
- ClarisWksSpreadsheet.cxx